Subject: Re: [Bitcoin-development] Block Size Increase Requirements

From: Raystonn <[email-masked]>
Date: Sat, 30 May 2015 16:18:48 -0700

Stop trying to dictate block growth limits.  Block size will be determined by competition between miners and availability of transactions, not through hard-coded limits.  I see now the temporary 1MB limit was a mistake.  It should have gone in as a dynamic limit that scales with average block size.  The static limit has led to the mistaken impression that this was some sort of guarantee or contract with miners.  That was not intended.

On 30 May 2015 3:07 pm, Alex Mizrahi <[email-masked]> wrote:

Why 2 MB ?

Why 20 MB? Do you anticipate 20x transaction count growth in 2016?

Why not grow it by 1 MB per year?

This is a safer option, I don't think that anybody claims that 2 MB blocks will be a problem.

And in 10 years when we get to 10 MB we'll get more evidence as to whether network can handle 10 MB blocks.

So this might be a solution which would satisfy both sides:

*  people who are concerned about block size growth will have an opportunity to stop it before it grows too much (e.g. with a soft fork),

*  while people who want bigger blocks will get an equivalent of 25% per year growth within the first 10 years, which isn't bad, is it?

So far I haven't heard any valid arguments against linear growth.